%function n=fig_h(h)
%Make the matlab plots better for importing to manuscript
%------------------------------------
%|    Usage:                         |
%|    h=plot(x,y,...);               |
%|    fig_h(h);                      |
%------------------------------------
%Explanation:
%input the figure handle: h (a dummy name)
%then sets up the plot as thick line and marker
%Output n is the number of items in the handle h
function n=fig_h(h);

n=length(h);
for i=1:n
set(h(i),'linewidth',2.5,'markersize',10);
end
%----------------
p_pos=[3,4,5,4.6];
%p_pos in the above is [lowerleft_x,lowerleft_y,width,height]
set(gcf,'paperunits','inches',...
   'paperorientation','landscape','paperposition',p_pos);
set(0,'units','pixels');
screen=get(0,'screensize');
width=screen(3)*0.25;height=width*p_pos(4)/p_pos(3);
set(gcf,'units','pixels','position',...
   [screen(3)*0.1,screen(4)*0.1,width,height]);
%----------------
hxlabel=get(gca,'xlabel');
hylabel=get(gca,'ylabel');
htitle=get(gca,'title');

set(gca,'fontsize',16,'linewidth',2);
set(hxlabel,'fontsize',18);
set(hylabel,'fontsize',18);
set(htitle,'fontsize',18);

